/*
 * Copyright (c) 2018 Arnaud Ysmal.  All Rights Reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 * 1. Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 * 2. Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the
 *    documentation and/or other materials provided with the distribution.
 *
 * THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS
 * OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
 * WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
 * DISCLAIMED. IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
 * FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
 * DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR
 * SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
 * HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
 * LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
 * OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
 * SUCH DAMAGE.
 */

package themes

import (
	"fmt"
	"jsonresume/model"
)

func getMonthFR(date model.ResumeDate) string {
	switch date.Month() {
	case 1:
		return "Janvier"
	case 2:
		return "Février"
	case 3:
		return "Mars"
	case 4:
		return "Avril"
	case 5:
		return "Mai"
	case 6:
		return "Juin"
	case 7:
		return "Juillet"
	case 8:
		return "Août"
	case 9:
		return "Septembre"
	case 10:
		return "Octobre"
	case 11:
		return "Novembre"
	case 12:
		return "Décembre"
	}
	return ""
}

func FormatDateWorkFR(date model.ResumeDate) string {
	if date.IsZero() {
		return "Présent"
	}
	return fmt.Sprintf("%s %d", getMonthFR(date), date.Year())
}

func FormatDateEduFR(date model.ResumeDate) string {
	if date.IsZero() {
		return "Présent"
	}
	return fmt.Sprintf("%d", date.Year())
}

func FormatDatePubFR(date model.ResumeDate) string {
	if date.IsZero() {
		return "Présent"
	}
	return fmt.Sprintf("%d %s %d", date.Day(), getMonthFR(date), date.Year())
}
